# searchCompany

## searchCompany

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/searchCompany`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to search for company by `'name'` and `'country'`\
You will get such information as: \
`* Business name`\
`* Registration number`\
`* Address`\
`* Country`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/searchCompany' --data '{` \
&#x20;  `"token": "0c725874e737c8195de547f67692d8b976726561",` \
&#x20;  `"name": "Bisnode",` \
&#x20;  `"country": "EST",` \
&#x20;  `"language": "en"` \
`}'`<br>

#### Query Parameters

| Name     | Type   | Description                                                             |
| -------- | ------ | ----------------------------------------------------------------------- |
| language | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en".    |
| token    | string | Your 'access token' (API key).                                          |
| name     | string | Company name or registration number.                                    |
| country  | string | 3-letter country code. Must be "EST", "LTU" or "LVA". Default is "EST". |

{% tabs %}
{% tab title="200 Response successfully retrieved" %}

```javascript
[
    {
        "country": "EST",
        "registration_number": "10117826",
        "business_name": "BISNODE ESTONIA AS",
        "main_address": "Endla tn 15, 10122, Tallinn, Harju maakond, Eesti Vabariik"
    }
]
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Country code is wrong. Must be EST LTU or LVA"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Internal Server Error"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}
